IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/80
Addresses2^48
/64 networksPart of one
- Network
2c19:dd:ec00:c25:c232::/80- First address
2c19:dd:ec00:c25:c232::- Last address
2c19:dd:ec00:c25:c232:ffff:ffff:ffff- Addresses
- 281,474,976,710,656 (2^48)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:ec00:0c25:c232:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
2.3.2.c.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:ec00:c25:c232::/80 makes 256 subnets of /88.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ec00:c25:c232::/88 | 2c19:dd:ec00:c25:c232:ff:ffff:ffff |
| 2 | 2c19:dd:ec00:c25:c232:100::/88 | 2c19:dd:ec00:c25:c232:1ff:ffff:ffff |
| 3 | 2c19:dd:ec00:c25:c232:200::/88 | 2c19:dd:ec00:c25:c232:2ff:ffff:ffff |
| 4 | 2c19:dd:ec00:c25:c232:300::/88 | 2c19:dd:ec00:c25:c232:3ff:ffff:ffff |
| 5 | 2c19:dd:ec00:c25:c232:400::/88 | 2c19:dd:ec00:c25:c232:4ff:ffff:ffff |
| 6 | 2c19:dd:ec00:c25:c232:500::/88 | 2c19:dd:ec00:c25:c232:5ff:ffff:ffff |
| 7 | 2c19:dd:ec00:c25:c232:600::/88 | 2c19:dd:ec00:c25:c232:6ff:ffff:ffff |
| 8 | 2c19:dd:ec00:c25:c232:700::/88 | 2c19:dd:ec00:c25:c232:7ff:ffff:ffff |
| 9 | 2c19:dd:ec00:c25:c232:800::/88 | 2c19:dd:ec00:c25:c232:8ff:ffff:ffff |
| 10 | 2c19:dd:ec00:c25:c232:900::/88 | 2c19:dd:ec00:c25:c232:9ff:ffff:ffff |
| 11 | 2c19:dd:ec00:c25:c232:a00::/88 | 2c19:dd:ec00:c25:c232:aff:ffff:ffff |
| 12 | 2c19:dd:ec00:c25:c232:b00::/88 | 2c19:dd:ec00:c25:c232:bff:ffff:ffff |
| 13 | 2c19:dd:ec00:c25:c232:c00::/88 | 2c19:dd:ec00:c25:c232:cff:ffff:ffff |
| 14 | 2c19:dd:ec00:c25:c232:d00::/88 | 2c19:dd:ec00:c25:c232:dff:ffff:ffff |
| 15 | 2c19:dd:ec00:c25:c232:e00::/88 | 2c19:dd:ec00:c25:c232:eff:ffff:ffff |
| 16 | 2c19:dd:ec00:c25:c232:f00::/88 | 2c19:dd:ec00:c25:c232:fff:ffff:ffff |
| 17 | 2c19:dd:ec00:c25:c232:1000::/88 | 2c19:dd:ec00:c25:c232:10ff:ffff:ffff |
| 18 | 2c19:dd:ec00:c25:c232:1100::/88 | 2c19:dd:ec00:c25:c232:11ff:ffff:ffff |
| 19 | 2c19:dd:ec00:c25:c232:1200::/88 | 2c19:dd:ec00:c25:c232:12ff:ffff:ffff |
| 20 | 2c19:dd:ec00:c25:c232:1300::/88 | 2c19:dd:ec00:c25:c232:13ff:ffff:ffff |
| 21 | 2c19:dd:ec00:c25:c232:1400::/88 | 2c19:dd:ec00:c25:c232:14ff:ffff:ffff |
| 22 | 2c19:dd:ec00:c25:c232:1500::/88 | 2c19:dd:ec00:c25:c232:15ff:ffff:ffff |
| 23 | 2c19:dd:ec00:c25:c232:1600::/88 | 2c19:dd:ec00:c25:c232:16ff:ffff:ffff |
| 24 | 2c19:dd:ec00:c25:c232:1700::/88 | 2c19:dd:ec00:c25:c232:17ff:ffff:ffff |
| 25 | 2c19:dd:ec00:c25:c232:1800::/88 | 2c19:dd:ec00:c25:c232:18ff:ffff:ffff |
| 26 | 2c19:dd:ec00:c25:c232:1900::/88 | 2c19:dd:ec00:c25:c232:19ff:ffff:ffff |
| 27 | 2c19:dd:ec00:c25:c232:1a00::/88 | 2c19:dd:ec00:c25:c232:1aff:ffff:ffff |
| 28 | 2c19:dd:ec00:c25:c232:1b00::/88 | 2c19:dd:ec00:c25:c232:1bff:ffff:ffff |
| 29 | 2c19:dd:ec00:c25:c232:1c00::/88 | 2c19:dd:ec00:c25:c232:1cff:ffff:ffff |
| 30 | 2c19:dd:ec00:c25:c232:1d00::/88 | 2c19:dd:ec00:c25:c232:1dff:ffff:ffff |
| 31 | 2c19:dd:ec00:c25:c232:1e00::/88 | 2c19:dd:ec00:c25:c232:1eff:ffff:ffff |
| 32 | 2c19:dd:ec00:c25:c232:1f00::/88 | 2c19:dd:ec00:c25:c232:1fff:ffff:ffff |
| 33 | 2c19:dd:ec00:c25:c232:2000::/88 | 2c19:dd:ec00:c25:c232:20ff:ffff:ffff |
| 34 | 2c19:dd:ec00:c25:c232:2100::/88 | 2c19:dd:ec00:c25:c232:21ff:ffff:ffff |
| 35 | 2c19:dd:ec00:c25:c232:2200::/88 | 2c19:dd:ec00:c25:c232:22ff:ffff:ffff |
| 36 | 2c19:dd:ec00:c25:c232:2300::/88 | 2c19:dd:ec00:c25:c232:23ff:ffff:ffff |
| 37 | 2c19:dd:ec00:c25:c232:2400::/88 | 2c19:dd:ec00:c25:c232:24ff:ffff:ffff |
| 38 | 2c19:dd:ec00:c25:c232:2500::/88 | 2c19:dd:ec00:c25:c232:25ff:ffff:ffff |
| 39 | 2c19:dd:ec00:c25:c232:2600::/88 | 2c19:dd:ec00:c25:c232:26ff:ffff:ffff |
| 40 | 2c19:dd:ec00:c25:c232:2700::/88 | 2c19:dd:ec00:c25:c232:27ff:ffff:ffff |
| 41 | 2c19:dd:ec00:c25:c232:2800::/88 | 2c19:dd:ec00:c25:c232:28ff:ffff:ffff |
| 42 | 2c19:dd:ec00:c25:c232:2900::/88 | 2c19:dd:ec00:c25:c232:29ff:ffff:ffff |
| 43 | 2c19:dd:ec00:c25:c232:2a00::/88 | 2c19:dd:ec00:c25:c232:2aff:ffff:ffff |
| 44 | 2c19:dd:ec00:c25:c232:2b00::/88 | 2c19:dd:ec00:c25:c232:2bff:ffff:ffff |
| 45 | 2c19:dd:ec00:c25:c232:2c00::/88 | 2c19:dd:ec00:c25:c232:2cff:ffff:ffff |
| 46 | 2c19:dd:ec00:c25:c232:2d00::/88 | 2c19:dd:ec00:c25:c232:2dff:ffff:ffff |
| 47 | 2c19:dd:ec00:c25:c232:2e00::/88 | 2c19:dd:ec00:c25:c232:2eff:ffff:ffff |
| 48 | 2c19:dd:ec00:c25:c232:2f00::/88 | 2c19:dd:ec00:c25:c232:2fff:ffff:ffff |
| 49 | 2c19:dd:ec00:c25:c232:3000::/88 | 2c19:dd:ec00:c25:c232:30ff:ffff:ffff |
| 50 | 2c19:dd:ec00:c25:c232:3100::/88 | 2c19:dd:ec00:c25:c232:31ff:ffff:ffff |
| 51 | 2c19:dd:ec00:c25:c232:3200::/88 | 2c19:dd:ec00:c25:c232:32ff:ffff:ffff |
| 52 | 2c19:dd:ec00:c25:c232:3300::/88 | 2c19:dd:ec00:c25:c232:33ff:ffff:ffff |
| 53 | 2c19:dd:ec00:c25:c232:3400::/88 | 2c19:dd:ec00:c25:c232:34ff:ffff:ffff |
| 54 | 2c19:dd:ec00:c25:c232:3500::/88 | 2c19:dd:ec00:c25:c232:35ff:ffff:ffff |
| 55 | 2c19:dd:ec00:c25:c232:3600::/88 | 2c19:dd:ec00:c25:c232:36ff:ffff:ffff |
| 56 | 2c19:dd:ec00:c25:c232:3700::/88 | 2c19:dd:ec00:c25:c232:37ff:ffff:ffff |
| 57 | 2c19:dd:ec00:c25:c232:3800::/88 | 2c19:dd:ec00:c25:c232:38ff:ffff:ffff |
| 58 | 2c19:dd:ec00:c25:c232:3900::/88 | 2c19:dd:ec00:c25:c232:39ff:ffff:ffff |
| 59 | 2c19:dd:ec00:c25:c232:3a00::/88 | 2c19:dd:ec00:c25:c232:3aff:ffff:ffff |
| 60 | 2c19:dd:ec00:c25:c232:3b00::/88 | 2c19:dd:ec00:c25:c232:3bff:ffff:ffff |
| 61 | 2c19:dd:ec00:c25:c232:3c00::/88 | 2c19:dd:ec00:c25:c232:3cff:ffff:ffff |
| 62 | 2c19:dd:ec00:c25:c232:3d00::/88 | 2c19:dd:ec00:c25:c232:3dff:ffff:ffff |
| 63 | 2c19:dd:ec00:c25:c232:3e00::/88 | 2c19:dd:ec00:c25:c232:3eff:ffff:ffff |
| 64 | 2c19:dd:ec00:c25:c232:3f00::/88 | 2c19:dd:ec00:c25:c232:3fff:ffff:ffff |
| 65 | 2c19:dd:ec00:c25:c232:4000::/88 | 2c19:dd:ec00:c25:c232:40ff:ffff:ffff |
| 66 | 2c19:dd:ec00:c25:c232:4100::/88 | 2c19:dd:ec00:c25:c232:41ff:ffff:ffff |
| 67 | 2c19:dd:ec00:c25:c232:4200::/88 | 2c19:dd:ec00:c25:c232:42ff:ffff:ffff |
| 68 | 2c19:dd:ec00:c25:c232:4300::/88 | 2c19:dd:ec00:c25:c232:43ff:ffff:ffff |
| 69 | 2c19:dd:ec00:c25:c232:4400::/88 | 2c19:dd:ec00:c25:c232:44ff:ffff:ffff |
| 70 | 2c19:dd:ec00:c25:c232:4500::/88 | 2c19:dd:ec00:c25:c232:45ff:ffff:ffff |
| 71 | 2c19:dd:ec00:c25:c232:4600::/88 | 2c19:dd:ec00:c25:c232:46ff:ffff:ffff |
| 72 | 2c19:dd:ec00:c25:c232:4700::/88 | 2c19:dd:ec00:c25:c232:47ff:ffff:ffff |
| 73 | 2c19:dd:ec00:c25:c232:4800::/88 | 2c19:dd:ec00:c25:c232:48ff:ffff:ffff |
| 74 | 2c19:dd:ec00:c25:c232:4900::/88 | 2c19:dd:ec00:c25:c232:49ff:ffff:ffff |
| 75 | 2c19:dd:ec00:c25:c232:4a00::/88 | 2c19:dd:ec00:c25:c232:4aff:ffff:ffff |
| 76 | 2c19:dd:ec00:c25:c232:4b00::/88 | 2c19:dd:ec00:c25:c232:4bff:ffff:ffff |
| 77 | 2c19:dd:ec00:c25:c232:4c00::/88 | 2c19:dd:ec00:c25:c232:4cff:ffff:ffff |
| 78 | 2c19:dd:ec00:c25:c232:4d00::/88 | 2c19:dd:ec00:c25:c232:4dff:ffff:ffff |
| 79 | 2c19:dd:ec00:c25:c232:4e00::/88 | 2c19:dd:ec00:c25:c232:4eff:ffff:ffff |
| 80 | 2c19:dd:ec00:c25:c232:4f00::/88 | 2c19:dd:ec00:c25:c232:4fff:ffff:ffff |
| 81 | 2c19:dd:ec00:c25:c232:5000::/88 | 2c19:dd:ec00:c25:c232:50ff:ffff:ffff |
| 82 | 2c19:dd:ec00:c25:c232:5100::/88 | 2c19:dd:ec00:c25:c232:51ff:ffff:ffff |
| 83 | 2c19:dd:ec00:c25:c232:5200::/88 | 2c19:dd:ec00:c25:c232:52ff:ffff:ffff |
| 84 | 2c19:dd:ec00:c25:c232:5300::/88 | 2c19:dd:ec00:c25:c232:53ff:ffff:ffff |
| 85 | 2c19:dd:ec00:c25:c232:5400::/88 | 2c19:dd:ec00:c25:c232:54ff:ffff:ffff |
| 86 | 2c19:dd:ec00:c25:c232:5500::/88 | 2c19:dd:ec00:c25:c232:55ff:ffff:ffff |
| 87 | 2c19:dd:ec00:c25:c232:5600::/88 | 2c19:dd:ec00:c25:c232:56ff:ffff:ffff |
| 88 | 2c19:dd:ec00:c25:c232:5700::/88 | 2c19:dd:ec00:c25:c232:57ff:ffff:ffff |
| 89 | 2c19:dd:ec00:c25:c232:5800::/88 | 2c19:dd:ec00:c25:c232:58ff:ffff:ffff |
| 90 | 2c19:dd:ec00:c25:c232:5900::/88 | 2c19:dd:ec00:c25:c232:59ff:ffff:ffff |
| 91 | 2c19:dd:ec00:c25:c232:5a00::/88 | 2c19:dd:ec00:c25:c232:5aff:ffff:ffff |
| 92 | 2c19:dd:ec00:c25:c232:5b00::/88 | 2c19:dd:ec00:c25:c232:5bff:ffff:ffff |
| 93 | 2c19:dd:ec00:c25:c232:5c00::/88 | 2c19:dd:ec00:c25:c232:5cff:ffff:ffff |
| 94 | 2c19:dd:ec00:c25:c232:5d00::/88 | 2c19:dd:ec00:c25:c232:5dff:ffff:ffff |
| 95 | 2c19:dd:ec00:c25:c232:5e00::/88 | 2c19:dd:ec00:c25:c232:5eff:ffff:ffff |
| 96 | 2c19:dd:ec00:c25:c232:5f00::/88 | 2c19:dd:ec00:c25:c232:5fff:ffff:ffff |
| 97 | 2c19:dd:ec00:c25:c232:6000::/88 | 2c19:dd:ec00:c25:c232:60ff:ffff:ffff |
| 98 | 2c19:dd:ec00:c25:c232:6100::/88 | 2c19:dd:ec00:c25:c232:61ff:ffff:ffff |
| 99 | 2c19:dd:ec00:c25:c232:6200::/88 | 2c19:dd:ec00:c25:c232:62ff:ffff:ffff |
| 100 | 2c19:dd:ec00:c25:c232:6300::/88 | 2c19:dd:ec00:c25:c232:63ff:ffff:ffff |
| 101 | 2c19:dd:ec00:c25:c232:6400::/88 | 2c19:dd:ec00:c25:c232:64ff:ffff:ffff |
| 102 | 2c19:dd:ec00:c25:c232:6500::/88 | 2c19:dd:ec00:c25:c232:65ff:ffff:ffff |
| 103 | 2c19:dd:ec00:c25:c232:6600::/88 | 2c19:dd:ec00:c25:c232:66ff:ffff:ffff |
| 104 | 2c19:dd:ec00:c25:c232:6700::/88 | 2c19:dd:ec00:c25:c232:67ff:ffff:ffff |
| 105 | 2c19:dd:ec00:c25:c232:6800::/88 | 2c19:dd:ec00:c25:c232:68ff:ffff:ffff |
| 106 | 2c19:dd:ec00:c25:c232:6900::/88 | 2c19:dd:ec00:c25:c232:69ff:ffff:ffff |
| 107 | 2c19:dd:ec00:c25:c232:6a00::/88 | 2c19:dd:ec00:c25:c232:6aff:ffff:ffff |
| 108 | 2c19:dd:ec00:c25:c232:6b00::/88 | 2c19:dd:ec00:c25:c232:6bff:ffff:ffff |
| 109 | 2c19:dd:ec00:c25:c232:6c00::/88 | 2c19:dd:ec00:c25:c232:6cff:ffff:ffff |
| 110 | 2c19:dd:ec00:c25:c232:6d00::/88 | 2c19:dd:ec00:c25:c232:6dff:ffff:ffff |
| 111 | 2c19:dd:ec00:c25:c232:6e00::/88 | 2c19:dd:ec00:c25:c232:6eff:ffff:ffff |
| 112 | 2c19:dd:ec00:c25:c232:6f00::/88 | 2c19:dd:ec00:c25:c232:6fff:ffff:ffff |
| 113 | 2c19:dd:ec00:c25:c232:7000::/88 | 2c19:dd:ec00:c25:c232:70ff:ffff:ffff |
| 114 | 2c19:dd:ec00:c25:c232:7100::/88 | 2c19:dd:ec00:c25:c232:71ff:ffff:ffff |
| 115 | 2c19:dd:ec00:c25:c232:7200::/88 | 2c19:dd:ec00:c25:c232:72ff:ffff:ffff |
| 116 | 2c19:dd:ec00:c25:c232:7300::/88 | 2c19:dd:ec00:c25:c232:73ff:ffff:ffff |
| 117 | 2c19:dd:ec00:c25:c232:7400::/88 | 2c19:dd:ec00:c25:c232:74ff:ffff:ffff |
| 118 | 2c19:dd:ec00:c25:c232:7500::/88 | 2c19:dd:ec00:c25:c232:75ff:ffff:ffff |
| 119 | 2c19:dd:ec00:c25:c232:7600::/88 | 2c19:dd:ec00:c25:c232:76ff:ffff:ffff |
| 120 | 2c19:dd:ec00:c25:c232:7700::/88 | 2c19:dd:ec00:c25:c232:77ff:ffff:ffff |
| 121 | 2c19:dd:ec00:c25:c232:7800::/88 | 2c19:dd:ec00:c25:c232:78ff:ffff:ffff |
| 122 | 2c19:dd:ec00:c25:c232:7900::/88 | 2c19:dd:ec00:c25:c232:79ff:ffff:ffff |
| 123 | 2c19:dd:ec00:c25:c232:7a00::/88 | 2c19:dd:ec00:c25:c232:7aff:ffff:ffff |
| 124 | 2c19:dd:ec00:c25:c232:7b00::/88 | 2c19:dd:ec00:c25:c232:7bff:ffff:ffff |
| 125 | 2c19:dd:ec00:c25:c232:7c00::/88 | 2c19:dd:ec00:c25:c232:7cff:ffff:ffff |
| 126 | 2c19:dd:ec00:c25:c232:7d00::/88 | 2c19:dd:ec00:c25:c232:7dff:ffff:ffff |
| 127 | 2c19:dd:ec00:c25:c232:7e00::/88 | 2c19:dd:ec00:c25:c232:7eff:ffff:ffff |
| 128 | 2c19:dd:ec00:c25:c232:7f00::/88 | 2c19:dd:ec00:c25:c232:7fff:ffff:ffff |
| 129 | 2c19:dd:ec00:c25:c232:8000::/88 | 2c19:dd:ec00:c25:c232:80ff:ffff:ffff |
| 130 | 2c19:dd:ec00:c25:c232:8100::/88 | 2c19:dd:ec00:c25:c232:81ff:ffff:ffff |
| 131 | 2c19:dd:ec00:c25:c232:8200::/88 | 2c19:dd:ec00:c25:c232:82ff:ffff:ffff |
| 132 | 2c19:dd:ec00:c25:c232:8300::/88 | 2c19:dd:ec00:c25:c232:83ff:ffff:ffff |
| 133 | 2c19:dd:ec00:c25:c232:8400::/88 | 2c19:dd:ec00:c25:c232:84ff:ffff:ffff |
| 134 | 2c19:dd:ec00:c25:c232:8500::/88 | 2c19:dd:ec00:c25:c232:85ff:ffff:ffff |
| 135 | 2c19:dd:ec00:c25:c232:8600::/88 | 2c19:dd:ec00:c25:c232:86ff:ffff:ffff |
| 136 | 2c19:dd:ec00:c25:c232:8700::/88 | 2c19:dd:ec00:c25:c232:87ff:ffff:ffff |
| 137 | 2c19:dd:ec00:c25:c232:8800::/88 | 2c19:dd:ec00:c25:c232:88ff:ffff:ffff |
| 138 | 2c19:dd:ec00:c25:c232:8900::/88 | 2c19:dd:ec00:c25:c232:89ff:ffff:ffff |
| 139 | 2c19:dd:ec00:c25:c232:8a00::/88 | 2c19:dd:ec00:c25:c232:8aff:ffff:ffff |
| 140 | 2c19:dd:ec00:c25:c232:8b00::/88 | 2c19:dd:ec00:c25:c232:8bff:ffff:ffff |
| 141 | 2c19:dd:ec00:c25:c232:8c00::/88 | 2c19:dd:ec00:c25:c232:8cff:ffff:ffff |
| 142 | 2c19:dd:ec00:c25:c232:8d00::/88 | 2c19:dd:ec00:c25:c232:8dff:ffff:ffff |
| 143 | 2c19:dd:ec00:c25:c232:8e00::/88 | 2c19:dd:ec00:c25:c232:8eff:ffff:ffff |
| 144 | 2c19:dd:ec00:c25:c232:8f00::/88 | 2c19:dd:ec00:c25:c232:8fff:ffff:ffff |
| 145 | 2c19:dd:ec00:c25:c232:9000::/88 | 2c19:dd:ec00:c25:c232:90ff:ffff:ffff |
| 146 | 2c19:dd:ec00:c25:c232:9100::/88 | 2c19:dd:ec00:c25:c232:91ff:ffff:ffff |
| 147 | 2c19:dd:ec00:c25:c232:9200::/88 | 2c19:dd:ec00:c25:c232:92ff:ffff:ffff |
| 148 | 2c19:dd:ec00:c25:c232:9300::/88 | 2c19:dd:ec00:c25:c232:93ff:ffff:ffff |
| 149 | 2c19:dd:ec00:c25:c232:9400::/88 | 2c19:dd:ec00:c25:c232:94ff:ffff:ffff |
| 150 | 2c19:dd:ec00:c25:c232:9500::/88 | 2c19:dd:ec00:c25:c232:95ff:ffff:ffff |
| 151 | 2c19:dd:ec00:c25:c232:9600::/88 | 2c19:dd:ec00:c25:c232:96ff:ffff:ffff |
| 152 | 2c19:dd:ec00:c25:c232:9700::/88 | 2c19:dd:ec00:c25:c232:97ff:ffff:ffff |
| 153 | 2c19:dd:ec00:c25:c232:9800::/88 | 2c19:dd:ec00:c25:c232:98ff:ffff:ffff |
| 154 | 2c19:dd:ec00:c25:c232:9900::/88 | 2c19:dd:ec00:c25:c232:99ff:ffff:ffff |
| 155 | 2c19:dd:ec00:c25:c232:9a00::/88 | 2c19:dd:ec00:c25:c232:9aff:ffff:ffff |
| 156 | 2c19:dd:ec00:c25:c232:9b00::/88 | 2c19:dd:ec00:c25:c232:9bff:ffff:ffff |
| 157 | 2c19:dd:ec00:c25:c232:9c00::/88 | 2c19:dd:ec00:c25:c232:9cff:ffff:ffff |
| 158 | 2c19:dd:ec00:c25:c232:9d00::/88 | 2c19:dd:ec00:c25:c232:9dff:ffff:ffff |
| 159 | 2c19:dd:ec00:c25:c232:9e00::/88 | 2c19:dd:ec00:c25:c232:9eff:ffff:ffff |
| 160 | 2c19:dd:ec00:c25:c232:9f00::/88 | 2c19:dd:ec00:c25:c232:9fff:ffff:ffff |
| 161 | 2c19:dd:ec00:c25:c232:a000::/88 | 2c19:dd:ec00:c25:c232:a0ff:ffff:ffff |
| 162 | 2c19:dd:ec00:c25:c232:a100::/88 | 2c19:dd:ec00:c25:c232:a1ff:ffff:ffff |
| 163 | 2c19:dd:ec00:c25:c232:a200::/88 | 2c19:dd:ec00:c25:c232:a2ff:ffff:ffff |
| 164 | 2c19:dd:ec00:c25:c232:a300::/88 | 2c19:dd:ec00:c25:c232:a3ff:ffff:ffff |
| 165 | 2c19:dd:ec00:c25:c232:a400::/88 | 2c19:dd:ec00:c25:c232:a4ff:ffff:ffff |
| 166 | 2c19:dd:ec00:c25:c232:a500::/88 | 2c19:dd:ec00:c25:c232:a5ff:ffff:ffff |
| 167 | 2c19:dd:ec00:c25:c232:a600::/88 | 2c19:dd:ec00:c25:c232:a6ff:ffff:ffff |
| 168 | 2c19:dd:ec00:c25:c232:a700::/88 | 2c19:dd:ec00:c25:c232:a7ff:ffff:ffff |
| 169 | 2c19:dd:ec00:c25:c232:a800::/88 | 2c19:dd:ec00:c25:c232:a8ff:ffff:ffff |
| 170 | 2c19:dd:ec00:c25:c232:a900::/88 | 2c19:dd:ec00:c25:c232:a9ff:ffff:ffff |
| 171 | 2c19:dd:ec00:c25:c232:aa00::/88 | 2c19:dd:ec00:c25:c232:aaff:ffff:ffff |
| 172 | 2c19:dd:ec00:c25:c232:ab00::/88 | 2c19:dd:ec00:c25:c232:abff:ffff:ffff |
| 173 | 2c19:dd:ec00:c25:c232:ac00::/88 | 2c19:dd:ec00:c25:c232:acff:ffff:ffff |
| 174 | 2c19:dd:ec00:c25:c232:ad00::/88 | 2c19:dd:ec00:c25:c232:adff:ffff:ffff |
| 175 | 2c19:dd:ec00:c25:c232:ae00::/88 | 2c19:dd:ec00:c25:c232:aeff:ffff:ffff |
| 176 | 2c19:dd:ec00:c25:c232:af00::/88 | 2c19:dd:ec00:c25:c232:afff:ffff:ffff |
| 177 | 2c19:dd:ec00:c25:c232:b000::/88 | 2c19:dd:ec00:c25:c232:b0ff:ffff:ffff |
| 178 | 2c19:dd:ec00:c25:c232:b100::/88 | 2c19:dd:ec00:c25:c232:b1ff:ffff:ffff |
| 179 | 2c19:dd:ec00:c25:c232:b200::/88 | 2c19:dd:ec00:c25:c232:b2ff:ffff:ffff |
| 180 | 2c19:dd:ec00:c25:c232:b300::/88 | 2c19:dd:ec00:c25:c232:b3ff:ffff:ffff |
| 181 | 2c19:dd:ec00:c25:c232:b400::/88 | 2c19:dd:ec00:c25:c232:b4ff:ffff:ffff |
| 182 | 2c19:dd:ec00:c25:c232:b500::/88 | 2c19:dd:ec00:c25:c232:b5ff:ffff:ffff |
| 183 | 2c19:dd:ec00:c25:c232:b600::/88 | 2c19:dd:ec00:c25:c232:b6ff:ffff:ffff |
| 184 | 2c19:dd:ec00:c25:c232:b700::/88 | 2c19:dd:ec00:c25:c232:b7ff:ffff:ffff |
| 185 | 2c19:dd:ec00:c25:c232:b800::/88 | 2c19:dd:ec00:c25:c232:b8ff:ffff:ffff |
| 186 | 2c19:dd:ec00:c25:c232:b900::/88 | 2c19:dd:ec00:c25:c232:b9ff:ffff:ffff |
| 187 | 2c19:dd:ec00:c25:c232:ba00::/88 | 2c19:dd:ec00:c25:c232:baff:ffff:ffff |
| 188 | 2c19:dd:ec00:c25:c232:bb00::/88 | 2c19:dd:ec00:c25:c232:bbff:ffff:ffff |
| 189 | 2c19:dd:ec00:c25:c232:bc00::/88 | 2c19:dd:ec00:c25:c232:bcff:ffff:ffff |
| 190 | 2c19:dd:ec00:c25:c232:bd00::/88 | 2c19:dd:ec00:c25:c232:bdff:ffff:ffff |
| 191 | 2c19:dd:ec00:c25:c232:be00::/88 | 2c19:dd:ec00:c25:c232:beff:ffff:ffff |
| 192 | 2c19:dd:ec00:c25:c232:bf00::/88 | 2c19:dd:ec00:c25:c232:bfff:ffff:ffff |
| 193 | 2c19:dd:ec00:c25:c232:c000::/88 | 2c19:dd:ec00:c25:c232:c0ff:ffff:ffff |
| 194 | 2c19:dd:ec00:c25:c232:c100::/88 | 2c19:dd:ec00:c25:c232:c1ff:ffff:ffff |
| 195 | 2c19:dd:ec00:c25:c232:c200::/88 | 2c19:dd:ec00:c25:c232:c2ff:ffff:ffff |
| 196 | 2c19:dd:ec00:c25:c232:c300::/88 | 2c19:dd:ec00:c25:c232:c3ff:ffff:ffff |
| 197 | 2c19:dd:ec00:c25:c232:c400::/88 | 2c19:dd:ec00:c25:c232:c4ff:ffff:ffff |
| 198 | 2c19:dd:ec00:c25:c232:c500::/88 | 2c19:dd:ec00:c25:c232:c5ff:ffff:ffff |
| 199 | 2c19:dd:ec00:c25:c232:c600::/88 | 2c19:dd:ec00:c25:c232:c6ff:ffff:ffff |
| 200 | 2c19:dd:ec00:c25:c232:c700::/88 | 2c19:dd:ec00:c25:c232:c7ff:ffff:ffff |
| 201 | 2c19:dd:ec00:c25:c232:c800::/88 | 2c19:dd:ec00:c25:c232:c8ff:ffff:ffff |
| 202 | 2c19:dd:ec00:c25:c232:c900::/88 | 2c19:dd:ec00:c25:c232:c9ff:ffff:ffff |
| 203 | 2c19:dd:ec00:c25:c232:ca00::/88 | 2c19:dd:ec00:c25:c232:caff:ffff:ffff |
| 204 | 2c19:dd:ec00:c25:c232:cb00::/88 | 2c19:dd:ec00:c25:c232:cbff:ffff:ffff |
| 205 | 2c19:dd:ec00:c25:c232:cc00::/88 | 2c19:dd:ec00:c25:c232:ccff:ffff:ffff |
| 206 | 2c19:dd:ec00:c25:c232:cd00::/88 | 2c19:dd:ec00:c25:c232:cdff:ffff:ffff |
| 207 | 2c19:dd:ec00:c25:c232:ce00::/88 | 2c19:dd:ec00:c25:c232:ceff:ffff:ffff |
| 208 | 2c19:dd:ec00:c25:c232:cf00::/88 | 2c19:dd:ec00:c25:c232:cfff:ffff:ffff |
| 209 | 2c19:dd:ec00:c25:c232:d000::/88 | 2c19:dd:ec00:c25:c232:d0ff:ffff:ffff |
| 210 | 2c19:dd:ec00:c25:c232:d100::/88 | 2c19:dd:ec00:c25:c232:d1ff:ffff:ffff |
| 211 | 2c19:dd:ec00:c25:c232:d200::/88 | 2c19:dd:ec00:c25:c232:d2ff:ffff:ffff |
| 212 | 2c19:dd:ec00:c25:c232:d300::/88 | 2c19:dd:ec00:c25:c232:d3ff:ffff:ffff |
| 213 | 2c19:dd:ec00:c25:c232:d400::/88 | 2c19:dd:ec00:c25:c232:d4ff:ffff:ffff |
| 214 | 2c19:dd:ec00:c25:c232:d500::/88 | 2c19:dd:ec00:c25:c232:d5ff:ffff:ffff |
| 215 | 2c19:dd:ec00:c25:c232:d600::/88 | 2c19:dd:ec00:c25:c232:d6ff:ffff:ffff |
| 216 | 2c19:dd:ec00:c25:c232:d700::/88 | 2c19:dd:ec00:c25:c232:d7ff:ffff:ffff |
| 217 | 2c19:dd:ec00:c25:c232:d800::/88 | 2c19:dd:ec00:c25:c232:d8ff:ffff:ffff |
| 218 | 2c19:dd:ec00:c25:c232:d900::/88 | 2c19:dd:ec00:c25:c232:d9ff:ffff:ffff |
| 219 | 2c19:dd:ec00:c25:c232:da00::/88 | 2c19:dd:ec00:c25:c232:daff:ffff:ffff |
| 220 | 2c19:dd:ec00:c25:c232:db00::/88 | 2c19:dd:ec00:c25:c232:dbff:ffff:ffff |
| 221 | 2c19:dd:ec00:c25:c232:dc00::/88 | 2c19:dd:ec00:c25:c232:dcff:ffff:ffff |
| 222 | 2c19:dd:ec00:c25:c232:dd00::/88 | 2c19:dd:ec00:c25:c232:ddff:ffff:ffff |
| 223 | 2c19:dd:ec00:c25:c232:de00::/88 | 2c19:dd:ec00:c25:c232:deff:ffff:ffff |
| 224 | 2c19:dd:ec00:c25:c232:df00::/88 | 2c19:dd:ec00:c25:c232:dfff:ffff:ffff |
| 225 | 2c19:dd:ec00:c25:c232:e000::/88 | 2c19:dd:ec00:c25:c232:e0ff:ffff:ffff |
| 226 | 2c19:dd:ec00:c25:c232:e100::/88 | 2c19:dd:ec00:c25:c232:e1ff:ffff:ffff |
| 227 | 2c19:dd:ec00:c25:c232:e200::/88 | 2c19:dd:ec00:c25:c232:e2ff:ffff:ffff |
| 228 | 2c19:dd:ec00:c25:c232:e300::/88 | 2c19:dd:ec00:c25:c232:e3ff:ffff:ffff |
| 229 | 2c19:dd:ec00:c25:c232:e400::/88 | 2c19:dd:ec00:c25:c232:e4ff:ffff:ffff |
| 230 | 2c19:dd:ec00:c25:c232:e500::/88 | 2c19:dd:ec00:c25:c232:e5ff:ffff:ffff |
| 231 | 2c19:dd:ec00:c25:c232:e600::/88 | 2c19:dd:ec00:c25:c232:e6ff:ffff:ffff |
| 232 | 2c19:dd:ec00:c25:c232:e700::/88 | 2c19:dd:ec00:c25:c232:e7ff:ffff:ffff |
| 233 | 2c19:dd:ec00:c25:c232:e800::/88 | 2c19:dd:ec00:c25:c232:e8ff:ffff:ffff |
| 234 | 2c19:dd:ec00:c25:c232:e900::/88 | 2c19:dd:ec00:c25:c232:e9ff:ffff:ffff |
| 235 | 2c19:dd:ec00:c25:c232:ea00::/88 | 2c19:dd:ec00:c25:c232:eaff:ffff:ffff |
| 236 | 2c19:dd:ec00:c25:c232:eb00::/88 | 2c19:dd:ec00:c25:c232:ebff:ffff:ffff |
| 237 | 2c19:dd:ec00:c25:c232:ec00::/88 | 2c19:dd:ec00:c25:c232:ecff:ffff:ffff |
| 238 | 2c19:dd:ec00:c25:c232:ed00::/88 | 2c19:dd:ec00:c25:c232:edff:ffff:ffff |
| 239 | 2c19:dd:ec00:c25:c232:ee00::/88 | 2c19:dd:ec00:c25:c232:eeff:ffff:ffff |
| 240 | 2c19:dd:ec00:c25:c232:ef00::/88 | 2c19:dd:ec00:c25:c232:efff:ffff:ffff |
| 241 | 2c19:dd:ec00:c25:c232:f000::/88 | 2c19:dd:ec00:c25:c232:f0ff:ffff:ffff |
| 242 | 2c19:dd:ec00:c25:c232:f100::/88 | 2c19:dd:ec00:c25:c232:f1ff:ffff:ffff |
| 243 | 2c19:dd:ec00:c25:c232:f200::/88 | 2c19:dd:ec00:c25:c232:f2ff:ffff:ffff |
| 244 | 2c19:dd:ec00:c25:c232:f300::/88 | 2c19:dd:ec00:c25:c232:f3ff:ffff:ffff |
| 245 | 2c19:dd:ec00:c25:c232:f400::/88 | 2c19:dd:ec00:c25:c232:f4ff:ffff:ffff |
| 246 | 2c19:dd:ec00:c25:c232:f500::/88 | 2c19:dd:ec00:c25:c232:f5ff:ffff:ffff |
| 247 | 2c19:dd:ec00:c25:c232:f600::/88 | 2c19:dd:ec00:c25:c232:f6ff:ffff:ffff |
| 248 | 2c19:dd:ec00:c25:c232:f700::/88 | 2c19:dd:ec00:c25:c232:f7ff:ffff:ffff |
| 249 | 2c19:dd:ec00:c25:c232:f800::/88 | 2c19:dd:ec00:c25:c232:f8ff:ffff:ffff |
| 250 | 2c19:dd:ec00:c25:c232:f900::/88 | 2c19:dd:ec00:c25:c232:f9ff:ffff:ffff |
| 251 | 2c19:dd:ec00:c25:c232:fa00::/88 | 2c19:dd:ec00:c25:c232:faff:ffff:ffff |
| 252 | 2c19:dd:ec00:c25:c232:fb00::/88 | 2c19:dd:ec00:c25:c232:fbff:ffff:ffff |
| 253 | 2c19:dd:ec00:c25:c232:fc00::/88 | 2c19:dd:ec00:c25:c232:fcff:ffff:ffff |
| 254 | 2c19:dd:ec00:c25:c232:fd00::/88 | 2c19:dd:ec00:c25:c232:fdff:ffff:ffff |
| 255 | 2c19:dd:ec00:c25:c232:fe00::/88 | 2c19:dd:ec00:c25:c232:feff:ffff:ffff |
| 256 | 2c19:dd:ec00:c25:c232:ff00::/88 | 2c19:dd:ec00:c25:c232:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |